<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### Table of Contents

-   [props][1]
-   [timeout][2]
-   [events][3]
-   [onIdle][4]
-   [onActive][5]
-   [onAction][6]
-   [debounce][7]
-   [throttle][8]
-   [element][9]
-   [startOnMount][10]
-   [stopOnIdle][11]
-   [passive][12]
-   [capture][13]
-   [methods][14]
-   [reset][15]
-   [pause][16]
-   [resume][17]
-   [getRemainingTime][18]
-   [getElapsedTime][19]
-   [getLastActiveTime][20]
-   [isIdle][21]
-   [utilities][22]
-   [debounced][23]
    -   [Parameters][24]
-   [throttled][25]
    -   [Parameters][26]

## props




## timeout

Activity Timeout in milliseconds
default: 1200000

Type: [Number][27]

## events

DOM events to listen to
default: see [default events][28]

Type: [Array][29]

## onIdle

Function to call when user is idle
default: () => {}

Type: [Function][30]

## onActive

Function to call when user becomes active
default: () => {}

Type: [Function][30]

## onAction

Function to call on user actions
default: () => {}

Type: [Function][30]

## debounce

Debounce the onAction function by setting delay in milliseconds
default: 0

Type: [Number][27]

## throttle

Throttle the onAction function by setting delay in milliseconds
default: 0

Type: [Number][27]

## element

Element reference to bind activity listeners to
default: document

Type: [Object][31]

## startOnMount

Start the timer on mount
default: true

Type: [Boolean][32]

## stopOnIdle

Once the user goes idle the IdleTimer will not
reset on user input instead, reset() must be
called manually to restart the timer
default: false

Type: [Boolean][32]

## passive

Bind events passively
default: true

Type: [Boolean][32]

## capture

Capture events
default: true

Type: [Boolean][32]

## methods




## reset

Restore initial state and restart timer

## pause

Store remaining time and stop timer

## resume

Resumes a paused timer

## getRemainingTime

Time remaining before idle

Returns **[Number][27]** Milliseconds remaining

## getElapsedTime

How much time has elapsed

Returns **Timestamp** 

## getLastActiveTime

Last time the user was active

Returns **Timestamp** 

## isIdle

Returns wether or not the user is idle

Returns **[Boolean][32]** 

## utilities




## debounced

Creates a debounced function that delays invoking func until
after delay milliseconds has elapsed since the last time the
debounced function was invoked.

### Parameters

-   `fn` **[Function][30]** Function to debounce
-   `delay` **[Number][27]** How long to wait

Returns **[Function][30]** Executed Function
\*

## throttled

Creates a throttled function that only invokes func at most
once per every wait milliseconds.

### Parameters

-   `fn` **[Function][30]** Function to debounce
-   `delay` **[Number][27]** How long to wait

Returns **[Function][30]** Executed Function
\*

[1]: #props

[2]: #timeout

[3]: #events

[4]: #onidle

[5]: #onactive

[6]: #onaction

[7]: #debounce

[8]: #throttle

[9]: #element

[10]: #startonmount

[11]: #stoponidle

[12]: #passive

[13]: #capture

[14]: #methods

[15]: #reset

[16]: #pause

[17]: #resume

[18]: #getremainingtime

[19]: #getelapsedtime

[20]: #getlastactivetime

[21]: #isidle

[22]: #utilities

[23]: #debounced

[24]: #parameters

[25]: #throttled

[26]: #parameters-1

[27]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number

[28]: https://github.com/SupremeTechnopriest/react-idle-timer#default-events

[29]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Array

[30]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function

[31]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object

[32]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean
